# Fetch Results (Optional)

<mark style="color:green;">`POST`</mark>` ``{{BASE_URL}}/api/v1/business/results?batch_id=batchId`

### Request Params

<table><thead><tr><th width="195">Name</th><th width="184">Type</th><th>Description</th></tr></thead><tbody><tr><td>batch_id<mark style="color:red;">*</mark></td><td>String</td><td>batch id returned in the verification endpoint </td></tr></tbody></table>

#### Response Example

{% tabs %}
{% tab title="200: OK" %}

```json
{
    "status": 200,
    "message": "Business verification data fetched successfully",
    "data": {
        "id": 26,
        "verified": "true",
        "status": "registered",
        "registrationDate": "9 April 1998",
        "registrationNo": "PVT-FYUVQBQR",
        "businessName": "Sodapop Inc",
        "branch": null,
        "partners": "[
            {"type":"director_shareholder","name":"JANE DOE","idType":"citizen","idNumber":"67983412","shares":[{"shareCount":"100","nominalValue":null,"name":"ORDINARY"}]},
            {"type":"director_shareholder","name":"JOHN DOE","idType":"citizen","idNumber":"78653421","shares":[{"shareCount":"850","nominalValue":null,"name":"ORDINARY"}]},
            {"type":"director_shareholder","name":"kenya impact incubator limited","idType":"local_company","idNumber":"CPR/2015/652153","shares":[{"shareCount":"50","nominalValue":null,"name":"ORDINARY"}]}]",
        "email": "hello@sodapop.com",
        "phoneNumber": "+254712345678",
        "postalAddress": "P O BOX 68999 - 00622",
        "physicalAddress": "Sodapop Plaza/Land Reference Number: 1/13413/Kamburu Drive , Kindaruma Road, Fl: 5, Room/Door:  502, LR NO 312/17830 HSE NO 6 THOGOTO ROAD NAIROBI",
        "shareCapital": "[{"shareCount":1000,"nominalValue":1000.0,"name":"ORDINARY"}]",
        "encumbrances": "[]"
    }
}
```

{% endtab %}

{% tab title="202: PENDING" %}

```json
{
    "status": 202,
    "message": "Search in progress. Please try again later",
    "data": {
        "batch_id": "afd91316-4132-4814-b494-b9361c8513r7"
    }
}
```

{% endtab %}
{% endtabs %}

#### Response Codes

| Code                      | Meaning                                        |
| ------------------------- | ---------------------------------------------- |
| 200 OK                    | Successfully verified the identity.            |
| 400 Bad Request           | Invalid request parameters.                    |
| 401 Unauthorized          | Invalid or missing authentication credentials. |
| 403 Forbidden             | Unauthorized                                   |
| 404 Not Found             | No data found for the requested identifier.    |
| 500 Internal Server Error | An error occurred on the server side.          |
| 503 Service Unavailable   | BRS systems are down.                          |
| 202 Process is pending    | Could not get result now. Try again later.     |
| 429 Rate Limit Exceeded   | Rate Limit exceeded                            |

### **Error Handling** <a href="#error-handling" id="error-handling"></a>

Errors are returned in the following format:

```json
{ 
    "status": "error code",   
    "message": "error message" 
}
```

#### **Common HTTP Status Codes** <a href="#common-http-status-codes" id="common-http-status-codes"></a>

| Code                      | Message                                                 |
| ------------------------- | ------------------------------------------------------- |
| 400 Bad Request           | The request was invalid or missing required parameters. |
| 401 Unauthorized          | Authentication failed or the token is missing.          |
| 403 Forbidden             | Access to the resource is denied.                       |
| 404 Not Found             | The requested resource could not be found.              |
| 500 Internal Server Error | An error occurred on the server side.                   |
| 503 Service Unavailable   | BRS systems are down.                                   |
| 429 Rate Limit Exceeded   | Rate Limit exceeded                                     |

#### **Error Responses** <a href="#error-responses" id="error-responses"></a>

**Bad Request (400)**

```json
{   
    "status": 400,   
    "message": "Bad request" 
}
```

**Unauthenticated (401)**

```json
{   
    "status": 401,   
    "message": "Unauthenticated" 
}
```

**Unauthorized (403)**

```json
{   
    "status": 403,   
    "message": "Insufficient wallet balance" 
}
```

**Not Found (404)**

```json
{   
    "status": 404,   
    "message": "No data found for this business identifier" 
}
```

**Internal Server Error (500)**

```json
{    
    "status": 500,    
    "message": "Internal server error: Contact support@pezesha.freshdesk.com" 
}
```

**Service Unavailable (503)**

```json
{
    "status": 503,    
    "message": "BRS systems are experiencing a downtime." 
}
```

#### Conflict

```json
{
    "status": 409,    
    "message": "Request ongoing for this registration number." 
}
```

&#x20;**Rate Limiting**

To ensure fair usage, API requests are subject to rate limits. Exceeding these limits will result in a **429 Too Many Requests** response. The current setting prevents duplicate requests within a **2-minute window**.

```json
{
   "status": 429,
   "message": "Too many requests: Please wait before retrying."
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.patascore.com/business-verification/fetch-results-optional.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
